#
# spec file for package perl-Class-Adapter
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Class-Adapter
Version:        1.08
Release:        15.1
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name Class-Adapter
Summary:        Perl implementation of the "Adapter" Design Pattern
Url:            http://search.cpan.org/dist/Class-Adapter/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/A/AD/ADAMK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Scalar::Util) >= 1.10
BuildRequires:  perl(Test::More) >= 0.47
#BuildRequires: perl(Carp)
#BuildRequires: perl(Class::Adapter)
#BuildRequires: perl(Class::Adapter::Builder)
#BuildRequires: perl(Class::Adapter::Clear)
#BuildRequires: perl(Config)
#BuildRequires: perl(constant)
#BuildRequires: perl(Cwd)
#BuildRequires: perl(ExtUtils::Manifest)
#BuildRequires: perl(ExtUtils::MM_Cygwin)
#BuildRequires: perl(ExtUtils::MM_Unix)
#BuildRequires: perl(ExtUtils::MM_Win32)
#BuildRequires: perl(Fcntl)
#BuildRequires: perl(File::Basename)
#BuildRequires: perl(File::Find)
#BuildRequires: perl(FileHandle)
#BuildRequires: perl(File::Path)
#BuildRequires: perl(File::Spec)
#BuildRequires: perl(FindBin)
#BuildRequires: perl(inc::Module::Install)
#BuildRequires: perl(inc::Module::Install::DSL) >= 1.00
#BuildRequires: perl(JSON)
#BuildRequires: perl(LWP::Simple)
#BuildRequires: perl(Module::Build)
#BuildRequires: perl(Module::Install::Base)
#BuildRequires: perl(Net::FTP)
#BuildRequires: perl(Parse::CPAN::Meta)
#BuildRequires: perl(Socket)
#BuildRequires: perl(vars)
#BuildRequires: perl(YAML::Tiny)
Requires:       perl(Scalar::Util) >= 1.10
%{perl_requires}

%description
The 'Class::Adapter' class is intended as an abstract base class for
creating any sort of class or object that follows the _Adapter_ pattern.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Wed Oct 26 2011 tabraham@novell.com
- updated to 1.08
  - Upgrading to Module::Install 1.00
  - Fixed #56492: [PATCH] Fix spelling error
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Sep  6 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- remove Provides: perl-Class-Adapter-Builder
* Tue Aug 31 2010 pascal.bleser@opensuse.org
- spec rewrite
- update to 1.07:
  * upgrading to Module::Install 0.95
  * accidentally deleted Class::Adapter from the CPAN. erk!
* Thu Jul  2 2009 meissner@novell.com
- provide perl-Class-Adapter-Builder without %%name, just %%version
  (should fix bnc#512895)
* Wed Dec 24 2008 pascal.bleser@opensuse.org
- proper use of macros
- line-wrapping for %%description
- changed license to "Perl" instead of "Artistic"
- removed Manifest file from %%doc, added LICENSE
- changed Source: to fully-qualified URL, using pristine upstream
  .tar.gz instead of repackaged .tar.bz2
* Sun Nov 30 2008 lars@linux-schulserver.de
- initial version 1.05
